Bug 1127214 - [Foreman] Allow reinstall host in InstallingOs status with confirmation popup
Summary: [Foreman] Allow reinstall host in InstallingOs status with confirmation popup
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Yaniv Bronhaim
QA Contact: Petr Beňas
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 12:08 UTC by Yaniv Bronhaim
Modified: 2017-01-03 11:07 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-30 11:18:39 UTC
oVirt Team: Infra


Attachments (Terms of Use)

Description Yaniv Bronhaim 2014-08-06 12:08:07 UTC
Description of problem:
Current on InstallingOs engine only allows to delete the host. This bugzilla requests to add Reinstall option during InstallingOs host state. When user clicks on Reinstall during InstallingOs a caution popup alert will be shown that says something like:
"Confirm to Reinstall provisioned host. Note that host might not be completely provisioned by host provider. Be sure the host is up and responsive before continue" 

Steps:
1. Provision new host by Host Provider.
2. During host in InstallingOs state - Click on the new host and pick Reinstall from the Host form.
3. Caution popup will appear to confirm the operation.
4. host-deploy process will be initiated after clicking OK.

This will help in cases where the communication to foreman\ovirt somehow failed during the API call to start the host installation.

Comment 6 Yaniv Lavi 2017-01-03 11:07:28 UTC
Removing old needinfos. Please restore, if still needed.


Note You need to log in before you can comment on or make changes to this bug.